This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 444357 - %post script not executed during install, ends up as %pre in anaconda-ks.cfg
%post script not executed during install, ends up as %pre in anaconda-ks.cfg
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 14:11 EDT by Jeroen van Meeuwen
Modified: 2008-06-14 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.29-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 00:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ks.cfg for anaconda (1.78 KB, text/plain)
2008-04-27 14:11 EDT, Jeroen van Meeuwen
no flags Details
/root/anaconda-ks.cfg after installation (1.60 KB, text/plain)
2008-04-27 14:11 EDT, Jeroen van Meeuwen
no flags Details
/var/log/anaconda.log (normal loglevel) (23.25 KB, text/plain)
2008-04-29 18:25 EDT, Jeroen van Meeuwen
no flags Details

  None (edit)
Description Jeroen van Meeuwen 2008-04-27 14:11:06 EDT
Description of problem:

%post sections are not executed during installation from a custom spin. The
ks.cfg included on the media looks like attachment ks.cfg. The output is
anaconda-ks.cfg (also attached)

Version-Release number of selected component (if applicable):

pykickstart-1.29-1.fc8

How reproducible:

1. Compose any media with ks.cfg included on the media,
2. execute installation using ks.cfg on the ISO image / CD-ROM,
3. %post will not be executed,
4. /root/anaconda-ks.cfg has %pre where it should have had %post

Actual results:

%pre instead of %post in /root/anaconda-ks.cfg, %post not executed.

Expected results:

Execution of %post, proper /root/anaconda-ks.cfg

Additional info:
Comment 1 Jeroen van Meeuwen 2008-04-27 14:11:06 EDT
Created attachment 303920 [details]
ks.cfg for anaconda
Comment 2 Jeroen van Meeuwen 2008-04-27 14:11:56 EDT
Created attachment 303921 [details]
/root/anaconda-ks.cfg after installation
Comment 3 Chris Lumens 2008-04-29 13:11:18 EDT
Can you attach /var/log/anaconda.log to this bug report?
Comment 4 Jeroen van Meeuwen 2008-04-29 18:25:21 EDT
Created attachment 304162 [details]
/var/log/anaconda.log (normal loglevel)

Providing /var/log/anaconda.log
Comment 5 Jeroen van Meeuwen 2008-04-29 18:26:11 EDT
Attached /var/log/anaconda.log
Comment 6 Chris Lumens 2008-04-30 14:35:26 EDT
Testing indicates this is not a problem on F9.  Can you please retest there and
verify this for us?  Thanks.
Comment 7 Jeroen van Meeuwen 2008-05-17 06:49:50 EDT
This doesn't occur in Fedora 9: confirmed
Comment 8 Jeroen van Meeuwen 2008-05-17 07:03:58 EDT
Does not occur on recomposed Fedora 9 either
Comment 9 Jeroen van Meeuwen 2008-05-17 08:12:00 EDT
Still occurs in Fedora 8 though, when including the updates/ repository in the
compose. Will try again without the updates/ repository included, see if
anything broke something.
Comment 10 Jeroen van Meeuwen 2008-05-17 13:50:59 EDT
No problem when excluding updates/ repository from the compose
Comment 11 Jeroen van Meeuwen 2008-05-18 13:42:13 EDT
If I checkout r1.29-1 and revert commit
eda22251023801ff7b969c48d001e28202e6544c, then create a 1.29.1-1.fc8 package off
of it and use that to compose the media with, this problem goes away.
Comment 12 Jeroen van Meeuwen 2008-05-18 14:30:34 EDT
Oops, I was talking about pykickstart ;-)
Comment 13 David Mueller 2008-05-19 13:19:06 EDT
Using Jeroen's rebuilt pykickstart package fixes the problem for me as well.
Comment 14 Jeroen van Meeuwen 2008-05-20 05:49:52 EDT
Updating component
Comment 15 Jeroen van Meeuwen 2008-06-08 09:23:39 EDT
*poke*
Comment 16 Fedora Update System 2008-06-10 14:03:06 EDT
pykickstart-1.29-2.fc8 has been submitted as an update for Fedora 8
Comment 17 Fedora Update System 2008-06-11 00:40:03 EDT
pykickstart-1.29-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pykickstart'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5227
Comment 18 Fedora Update System 2008-06-14 00:16:59 EDT
pykickstart-1.29-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.